This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 881806 - engine: NPE on EndAction for AddVmTemplate
engine: NPE on EndAction for AddVmTemplate
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: 3.2.0
Assigned To: Liron Aravot
vvyazmin@redhat.com
storage
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-11-29 10:44 EST by Dafna Ron
Modified: 2016-02-10 12:56 EST (History)
9 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (858.64 KB, application/x-gzip)
2012-11-29 10:44 EST, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-11-29 10:44:42 EST
Created attachment 654376 [details]
logs

Description of problem:

I added a template from a vm and when the UI was hanging I reloaded it. 
the command finished with NPE. 

Version-Release number of selected component (if applicable):

si24.5

How reproducible:

unknown

Steps to Reproduce:
1. I added a template from a vm and the dialogue was hanging
2. reload the UI
3.
  
Actual results:

NPW on endaction 

Expected results:

we should not get NPE

Additional info:logs


012-11-29 17:09:00,757 INFO  [org.ovirt.engine.core.utils.transaction.TransactionSupport] (pool-3-thread-36) transaction rolled back
2012-11-29 17:09:01,469 ERROR [org.ovirt.engine.core.bll.EntityAsyncTask] (pool-3-thread-36) EntityAsyncTask::EndCommandAction [within thread]: EndAction for action type AddVmTemplate threw an exception: java.lang.NullPointerException
        at org.ovirt.engine.core.bll.VmHandler.UnLockVm(VmHandler.java:238) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.AddVmTemplateCommand.endUnlockOps(AddVmTemplateCommand.java:394) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.AddVmTemplateCommand.endDefaultOperations(AddVmTemplateCommand.java:384) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.AddVmTemplateCommand.endSuccessfully(AddVmTemplateCommand.java:370) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.internalEndSuccessfully(CommandBase.java:512) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.endActionInTransactionScope(CommandBase.java:459) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1374) [engine-bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInNewTransaction(TransactionSupport.java:204) [engine-utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInRequired(TransactionSupport.java:142) [engine-utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:109) [engine-utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.endAction(CommandBase.java:405) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.endAction(Backend.java:368) [engine-bll.jar:]
        at sun.reflect.GeneratedMethodAccessor386.invoke(Unknown Source) [:1.7.0_09-icedtea]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_09-icedtea]
        at java.lang.reflect.Method.invoke(Method.java:601) [rt.jar:1.7.0_09-icedtea]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee.jar:7.1.3.Final-redhat-3]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:374) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.ovirt.engine.core.utils.ThreadLocalSessionCleanerInterceptor.injectWebContextToThreadLocal(ThreadLocalSessionCleanerInterceptor.java:11) [engine-utils.jar:]
        at sun.reflect.GeneratedMethodAccessor18.invoke(Unknown Source) [:1.7.0_09-icedtea]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_09-icedtea]
        at java.lang.reflect.Method.invoke(Method.java:601) [rt.jar:1.7.0_09-icedtea]
        at org.jboss.as.ee.component.ManagedReferenceLifecycleMethodInterceptorFactory$ManagedReferenceLifecycleMethodInterceptor.processInvocation(ManagedReferenceLifecycleMethodInterceptorFactory.java:123) [jboss-as-ee.jar:7.1.3.Final-redhat-3]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:36) [jboss-as-ee.jar:7.1.3.Final-redhat-3]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:43) [jboss-as-ejb3.jar:7.1.3.Final-redhat-3]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:53) [jboss-as-ee.jar:7.1.3.Final-redhat-3]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.as.ejb3.component.singleton.SingletonComponentInstanceAssociationInterceptor.processInvocation(SingletonComponentInstanceAssociationInterceptor.java:53) [jboss-as-ejb3.jar:7.1.3.Final-redhat-3]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
Comment 1 Liron Aravot 2012-12-26 02:28:02 EST
merged patch upstream

http://gerrit.ovirt.org/#/c/9074/
Comment 2 vvyazmin@redhat.com 2013-01-16 09:59:23 EST
No issues are found

Verified on RHEVM 3.2 - SF03 environment 

RHEVM: rhevm-3.2.0-4.el6ev.noarch
VDSM: vdsm-4.10.2-3.0.el6ev.x86_64
LIBVIRT: libvirt-0.10.2-13.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.348.el6.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64
Comment 3 Itamar Heim 2013-06-11 05:05:28 EDT
3.2 has been released
Comment 4 Itamar Heim 2013-06-11 05:05:32 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 05:05:35 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:05:50 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:34:26 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.